%define scummvmdir %{_datadir}/scummvm/

Name:           lure-fr
Version:        1.1
Release:        %mkrel 10
Summary:        Lure of the Temptress - Jeu d'aventure en français
Group:          Games/Adventure
License:        Freeware
URL:            https://revolution.co.uk/games_catalog/lure-of-the-temptress-copy/
Source:		https://downloads.sourceforge.net/scummvm/%{name}-%{version}.zip
Source1:	lure-fr.png
BuildRequires:	unzip
BuildArch:      noarch
Requires:       scummvm

%description
Lure of the Temptress was Revolution's very first adventure game and work began
on it in 1989, even before Revolution's inception as an actual games
development company. From the start our aim was to consider the contemporary
adventures of the day and then bring something new to the genre. From this came
the Virtual Theatre engine. VT allowed in-game characters to wander around the
gameworld independently of each other, living their own lives and doing their own
thing. Another feature allowed the player to give direct orders to Helper
characters - in this case Ratpouch - who would then go off to perform the task.

The result is a quirky and entertaining adventure game that kicked off
Revolution's fondness for characterisation and in-game humour.


%prep
%setup -q -n %{name}
sed -i 's/\r//g' README


%install
mkdir -p %{buildroot}/%{scummvmdir}/%{name}
install -p -m 644 *.VGA %{buildroot}/%{scummvmdir}/%{name}
mkdir -p %{buildroot}/%{_iconsdir}
install -m 0644 %{_sourcedir}/%{name}.png %{buildroot}%{_iconsdir}/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Lure of the Temptress (en français)
Comment=%summary
Exec=%_gamesbindir/scummvm -p%{scummvmdir}/%{name} lure
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;AdventureGame;
EOF

%clean

%files
%defattr(-,root,root)
%doc *.txt Manual.pdf README
%{scummvmdir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/%{name}.png



%changelog
* Fri Apr 15 2022 umeabot <umeabot> 1.1-10.mga9
+ Revision: 1850351
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 umeabot <umeabot> 1.1-9.mga8.nonfree
+ Revision: 1548629
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1-8.mga7.nonfree
+ Revision: 1279235
- Mageia 7 Mass Rebuild

* Fri Jul 07 2017 akien <akien> 1.1-7.mga6.nonfree
+ Revision: 1109200
- Mageia 6 rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-6.mga5.nonfree
+ Revision: 739176
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-5.mga5.nonfree
+ Revision: 682052
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 1.1-4.mga4.nonfree
+ Revision: 548428
- Mageia 4 rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1-3.mga3.nonfree
+ Revision: 359133
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 zezinho <zezinho> 1.1-2.mga3.nonfree
+ Revision: 301800
- add icon

* Sat Nov 12 2011 zezinho <zezinho> 1.1-1.mga2.nonfree
+ Revision: 167024
- imported package lure-fr

